QueryStatistics (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.cypher.javacompat

## Class QueryStatistics

- java.lang.Object
- - org.neo4j.cypher.javacompat.QueryStatistics

-     public class QueryStatistics
      extends Object

  Holds statistics for the execution of a query.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsUpdates()` If the query updated the graph in any way, this method will return true.
    `int` | `getConstraintsAdded()` Returns the number of constraint added by this query.
    `int` | `getConstraintsRemoved()` Returns the number of constraint removed by this query.
    `int` | `getDeletedNodes()` Returns the number of nodes deleted by this query.
    `int` | `getDeletedRelationships()` Returns the number of relationships deleted by this query.
    `int` | `getIndexesAdded()` Returns the number of indexes added by this query.
    `int` | `getIndexesRemoved()` Returns the number of indexes removed by this query.
    `int` | `getLabelsAdded()` Returns the number of labels added to any node by this query.
    `int` | `getLabelsRemoved()` Returns the number of labels removed from any node by this query.
    `int` | `getNodesCreated()` Returns the number of nodes created by this query.
    `int` | `getPropertiesSet()` Returns the number of properties set by this query.
    `int` | `getRelationshipsCreated()` Returns the number of relationships created by this query.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getNodesCreated

          public int getNodesCreated()

      Returns the number of nodes created by this query.
      Returns:
        the number of nodes created by this query.

    - #### getRelationshipsCreated

          public int getRelationshipsCreated()

      Returns the number of relationships created by this query.
      Returns:
        the number of relationships created by this query.

    - #### getPropertiesSet

          public int getPropertiesSet()

      Returns the number of properties set by this query. Setting a property to the same value again still counts towards this.
      Returns:
        the number of properties set by this query.

    - #### getDeletedNodes

          public int getDeletedNodes()

      Returns the number of nodes deleted by this query.
      Returns:
        the number of nodes deleted by this query.

    - #### getDeletedRelationships

          public int getDeletedRelationships()

      Returns the number of relationships deleted by this query.
      Returns:
        the number of relationships deleted by this query.

    - #### getLabelsAdded

          public int getLabelsAdded()

      Returns the number of labels added to any node by this query.
      Returns:
        the number of labels added to any node by this query.

    - #### getLabelsRemoved

          public int getLabelsRemoved()

      Returns the number of labels removed from any node by this query.
      Returns:
        the number of labels removed from any node by this query.

    - #### getIndexesAdded

          public int getIndexesAdded()

      Returns the number of indexes added by this query.
      Returns:
        the number of indexes added by this query.

    - #### getIndexesRemoved

          public int getIndexesRemoved()

      Returns the number of indexes removed by this query.
      Returns:
        the number of indexes removed by this query.

    - #### getConstraintsAdded

          public int getConstraintsAdded()

      Returns the number of constraint added by this query.
      Returns:
        the number of constraint added by this query.

    - #### getConstraintsRemoved

          public int getConstraintsRemoved()

      Returns the number of constraint removed by this query.
      Returns:
        the number of constraint removed by this query.

    - #### containsUpdates

          public boolean containsUpdates()

      If the query updated the graph in any way, this method will return true.
      Returns:
        if the graph has been updated.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.